# $Id: slackrpm.spec,v 1.2 2002/02/10 23:21:58 dan Exp $
Summary: Converts Slackware packages to RPM packages
Name: slackrpm
%define version 0.3
Version: %{version}
Release: 1
Group: Utilities/System
Copyright: GPL
Source: http://www.npsnet.com/danf/software/pub/slackrpm-%{version}.tar.gz
URL: http://www.npsnet.com/danf/software/
Prefix: /usr
Requires: python >= 1.3
BuildArchitectures: noarch
BuildRoot: /tmp/autospec-%{version}-root

%description
A program to convert software packages from a Slackware distribution to
RedHat RPM format.  This lets you use the more powerful RPM tools
to manage your packages.

%prep
%setup

%install
make prefix="${RPM_BUILD_ROOT}/usr" install

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%changelog
* Sat Feb 9 2002 Dan Fandrich <dan@coneharvesters.com>
- updated to 0.3

* Thu Jul  2 1998 Dan Fandrich <dan@fch.wimsey.bc.ca>
- updated to 0.2.2

%files
%attr(-,root,root) /usr/bin/slackrpm
%attr(-,root,root) %dir /usr/share/slackrpm
%attr(-,root,root) /usr/share/slackrpm/classifyfile.py
%attr(-,root,root) /usr/share/slackrpm/danutil.py
%attr(-,root,root) /usr/share/slackrpm/rpmrc.py
%attr(-,root,root) /usr/share/slackrpm/slackpack.py
%attr(-,root,root) /usr/share/slackrpm/slackrpm.py
%attr(-,root,root) %doc COPYING
%attr(-,root,root) %doc INSTALL.slackrpm
%attr(-,root,root) %doc /usr/man/man8/slackrpm.8
